package controller


// suseconds_t varies by platform, 32 on 32 bits, 64 on 64 bits
type suseconds_t = long
// time_t is aways 64 bits signed, even on 32 bits platforms.
type time_t = int64

// A time value that is accurate to the nearest
// microsecond but also has a range of years.
type timeval struct {
    tv_sec time_t	// Seconds.
    tv_usec susecond_t  // Microseconds.
}








